Get User
Retrieve a specific workspace member by ID
GET https://api.orwel.io/api/v1/users/{id}
Path Parameters
idstringpathrequiredThe unique identifier (UUID) of the user
Response
dataobjectThe workspace user object
Request
curl -X GET "https://api.orwel.io/api/v1/users/cc0e8400-e29b-41d4-a716-446655440007" \
-H "Authorization: Bearer orwel_sk_YOUR_KEY"const userId = 'cc0e8400-e29b-41d4-a716-446655440007';
const response = await fetch(
`https://api.orwel.io/api/v1/users/${userId}`,
{
headers: {
'Authorization': 'Bearer orwel_sk_YOUR_KEY'
}
}
);
const data = await response.json();
console.log(data);import requests
user_id = 'cc0e8400-e29b-41d4-a716-446655440007'
headers = {
'Authorization': 'Bearer orwel_sk_YOUR_KEY'
}
response = requests.get(
f'https://api.orwel.io/api/v1/users/{user_id}',
headers=headers
)
data = response.json()
print(data)Response
{
"data": {
"id": "cc0e8400-e29b-41d4-a716-446655440007",
"email": "john@example.com",
"name": "John Doe",
"avatar": "https://example.com/avatar.jpg",
"username": "johndoe",
"language": "en",
"created_at": "2024-06-15T10:30:00Z",
"workspace_role": "admin",
"joined_at": "2024-06-15T10:30:00Z"
}
}{
"error": "not_found",
"message": "User not found or not a member of your workspace"
}